%define kdevelop_ver 4.%(echo %{version} | cut -d. -f2,3)

Summary: Python plugin for KDevelop
Name: kdevelop4-python
Version: 1.6.0
Release: %mkrel 1
Source0: http://download.kde.org/stable/kdevelop/kdev-python/%{version}/src/kdev-python-%{version}.tar.xz
Patch0: kdevelop-python-documentation-files.patch 
License: GPLv2+
Group: Development/Python
Url: http://www.kdevelop.org
BuildRequires: kdelibs4-devel 
BuildRequires: kdevplatform4-devel >= 4:%{version}
BuildRequires: kdevelop-pg-qt-devel >= 0.9.82
BuildRequires: python-devel
Requires: kdevelop4 >= 4:%{kdevelop_ver}

%description
Python plugin for KDevelop.

%files -f kdevpython.lang
%{_kde_libdir}/kde4/*.so
%{_kde_libdir}/*.so
%{_kde_libdir}/*.so.*
%{_kde_appsdir}/kdevappwizard/templates/*.bz2
%{_kde_appsdir}/kdevpythonsupport
%{_kde_services}/*.desktop
%{_kde_datadir}/config/kdev_python_docfiles.knsrc

#--------------------------------------------------------------------

%prep
%setup -qn kdev-python-%{version}
%patch0

%build
%cmake_kde4
%make

%install
%{makeinstall_std} -C build
rm -f %{buildroot}%{_libdir}/libpython%{py_ver}-kdevelop.so

%find_lang kdevpython


%changelog
* Tue Dec 17 2013 colin <colin> 1.6.0-1.mga4
+ Revision: 558140
- New version: 1.6.0

* Wed Nov 20 2013 fwang <fwang> 1.5.2-1.mga4
+ Revision: 552018
- update file list
- new version 1.5.2

* Tue Oct 22 2013 umeabot <umeabot> 1.5.1-3.mga4
+ Revision: 546133
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 philippem <philippem> 1.5.1-2.mga4
+ Revision: 502187
- fix python scripts build error

* Fri May 31 2013 fwang <fwang> 1.5.1-1.mga4
+ Revision: 433524
- new version 1.5.1

* Mon May 27 2013 fwang <fwang> 1.4.90-1.mga4
+ Revision: 428542
- new version 1.4.90

* Sat Jan 12 2013 umeabot <umeabot> 1.4.1-2.mga3
+ Revision: 356073
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 25 2012 fwang <fwang> 1.4.1-1.mga3
+ Revision: 321795
- new version 1.4.1

* Fri Nov 23 2012 fwang <fwang> 1.4.0-1.mga3
+ Revision: 321230
- br python
- fix linkage
- fix tarballdir
- new version 1.4.0b

* Fri Oct 26 2012 fwang <fwang> 1.3.80-1.mga3
+ Revision: 310132
- update file list
- imported package kdevelop4-python

